Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 594044 - options --old-archive and --old-archive are not recognized
options --old-archive and --old-archive are not recognized
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: tar (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Ondrej Vasik
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-20 08:41 EDT by Miroslav Suchý
Modified: 2010-11-10 16:45 EST (History)
4 users (show)

See Also:
Fixed In Version: tar-1.23-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:45:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2010-05-20 08:41:22 EDT
Description of problem:
[msuchy@dri//tmp]$ tar -c --old-archive -vf smart2.tar smartpm-0.2
tar: --old-archive: (PROGRAM ERROR) Option should have been recognized!?
Try `tar --help' or `tar --usage' for more information.
[msuchy@dri//tmp]$ tar -c --portability -vf smart2.tar smartpm-0.2
tar: --old-archive: (PROGRAM ERROR) Option should have been recognized!?
Try `tar --help' or `tar --usage' for more information.


Version-Release number of selected component (if applicable):
$ rpm -qf `which tar`
tar-1.23-1.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. run tar -c --old-archive -vf smart2.tar smartpm-0.2
  
Actual results:
error

Expected results:
option is either recognized or not mentioned in man page

Additional info:
these option should be synonym to --format=v7 and option --format=v7 works as expected
Comment 1 RHEL Product and Program Management 2010-05-20 09:13:13 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Ondrej Vasik 2010-05-20 10:18:50 EDT
Thanks for filling bugzilla. This was recently reported to upstream http://lists.gnu.org/archive/html/bug-tar/2010-05/msg00015.html - considered harmless - as it was introduced ~6 years ago, so probably nobody uses it. Should be easy to fix - anyway.
Comment 5 Miroslav Suchý 2010-07-01 09:45:23 EDT
[msuchy@dri//tmp]$  tar -c --old-archive -vf smart2.tar imvirt-0.9.0
tar: --old-archive: (PROGRAM ERROR) Option should have been recognized!?
Try `tar --help' or `tar --usage' for more information.
[msuchy@dri//tmp]$ rpm -q tar
tar-1.23-2.el6.x86_64

seems that is was not fixed.
Comment 11 releng-rhel@redhat.com 2010-11-10 16:45:55 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.